# The Events Calendar: Category Colors

* Contributors: afragen, barry.hughes
* Donate link: <https://thefragens.com/category-colors-donate>
* Tags: events, color, modern tribe, tribe
* License: GPLv2 or later
* License URI: <https://www.gnu.org/licenses/gpl-2.0.html>
* Requires at least: 5.2
* Requires PHP: 7.1

Add event category background colors to The Events Calendar events.

## Description

Add background colors to event categories displayed in the event views of The Events Calendar. This is inspired by the post _Coloring Your Category Events_.

Settings for The Events Calendar: Category Colors plugin are located in their own tab on The Events Calendar Settings page.

## Installation

1. Upload the entire `/the-events-calendar-category-colors/` folder to the `/wp-content/plugins/` directory.
1. Activate the plugin.
1. Go to the Category Colors tab of The Event Calendar Settings page.

## Frequently Asked Questions

### Does the plugin require The Events Calendar plugin?

Yes. [The Events Calendar plugin](http://wordpress.org/plugins/the-events-calendar/) is written by Modern Tribe, Inc. It requires at least The Events Calendar v5.0.


### What if I use a version of The Events Calendar 2.x?

The last compatible version of this plugin that works with TEC 2.x is [The Events Calendar: Category Colors v1.6.3](http://downloads.wordpress.org/plugin/the-events-calendar-category-colors.1.6.3.zip).

### Where can I get more help?

There is more extensive documentation of the plugins features and usage on the [The Events Calendar: Category Colors wiki](https://github.com/afragen/the-events-calendar-category-colors/wiki).

### Where can I report bugs?

1. Add a new topic on the [WordPress Support Forum](http://wordpress.org/tags/the-events-calendar-category-colors).
2. Add a new issue on the [github repo](https://github.com/afragen/the-events-calendar-category-colors/issues?state=open).

## Screenshots

### 1. The Events Calendar: Category Colors Settings tab
![The Events Calendar: Category Colors Settings tab
](./.wordpress-org/screenshot-1.png)

### 2. The Events Calendar: Category Colors in action
![The Events Calendar: Category Colors in action
](./.wordpress-org/screenshot-2.png)

### 3. The Events Calendar: Category Colors with Legend Superpowers in action
![The Events Calendar: Category Colors with Legend Superpowers in action
](./.wordpress-org/screenshot-3.png)

## Changelog

See [CHANGES.md](CHANGES.md).
